package com.ruoyi.system.service;

import com.ruoyi.system.domain.SysDevice;

import java.util.List;

/**
 * 设备管理 Service
 */
public interface ISysDeviceService {

    SysDevice selectDeviceById(Long deviceId);

    List<SysDevice> selectDeviceList(SysDevice device);

    int insertDevice(SysDevice device);

    int updateDevice(SysDevice device);

    int deleteDeviceById(Long deviceId);

    int deleteDeviceByIds(Long[] deviceIds);
}
